// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	メンバー背景
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbSideCheck extends YmsbCheck {

	arrJSONSide	= [SbJSON.MEMBER_BACK_1P, SbJSON.MEMBER_BACK_2P];

	constructor(vorh, box01, box02) {
		super();
		this.arrSide = new Array(2);
		this.arrSide[0] = new YmsbImage(1.0, SbCSS.BOX_SIDE_1P, vorh, box01, ANI_DELY_ON_BOX_MEMBER);
		this.arrSide[1] = new YmsbImage(1.0, SbCSS.BOX_SIDE_2P, vorh, box02, ANI_DELY_ON_BOX_MEMBER);
	}

	// データ切り分け
	checkData() {
		for (let i = 0; i < 2; i++) {
			let newImage = jsonData[this.arrJSONSide[i]];
			let newSide = "";
			let cssProp = "";
			if ("" != newImage) {
				newSide = YMSB_URL_USER + newImage + YMSB_IMAGE_EXT;
				cssProp = {"background-image" : "url(" + newSide + ")"};
			}

			if (
				(YMSB_OFF_ON == currScoreBoard && "" != newImage)
			||	(YMSB_ON     == currScoreBoard && "" != newImage && "" == this.arrSide[i].currData)
			) {
				this.arrSide[i].animeOn(newSide, cssProp);
			}
			else if (
				(YMSB_ON_OFF == currScoreBoard && "" != this.arrSide[i].currData)
			||	(YMSB_ON     == currScoreBoard && "" != this.arrSide[i].currData && "" == newImage)
			) {
				this.arrSide[i].animeOff();
			}
			else if (
				(YMSB_ON     == currScoreBoard && "" != this.arrSide[i].currData && "" != newImage)
			&&  (this.arrSide[i].currData != newImage)
			) {
				this.arrSide[i].animeUpdate(newSide, cssProp);
			}
			else {
				// nop
			}
			this.arrSide[i].currData = newImage;
		}
	}
}
