// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	イベントハンドラ(Expert版の追加要素)
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

// ■■ スコアクリアボタン ■■
document.getElementById("clearScore").addEventListener("click", () =>  {
	clearScore();
	setLifeData(jQuery("#maxMemberLives").val());
});

// ■■ CSV保存ボタン ■■
document.getElementById("saveCSV").addEventListener("click", () =>  {
	addCSVData();
	saveCSVFile();
	setCSVView();
});

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	ステージ名の入力補助
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

const YMSB_CSS_STAGE 		= "#stage";
const YMSB_CSS_STAGE_BLOCK	= "#rStageBlock";
const YMSB_CSS_STAGE_ALPHA	= "#rStageAlpha";
const YMSB_CSS_STAGE_WINLS	= "#rStageWinLose";
const YMSB_CSS_STAGE_TOP	= "#rStageTop";
const YMSB_CSS_STAGE_NUM	= "#rStageNum";
const YMSB_CSS_STAGE_ROUND	= "#rStageRound";

const setStageData = () => {
	let stageData = "";
	const stageBlock = jQuery(YMSB_CSS_STAGE_BLOCK).val();
	const stageAlpha = jQuery(YMSB_CSS_STAGE_ALPHA).val();
	const stageWinLs = jQuery(YMSB_CSS_STAGE_WINLS).val();
	const stageTop   = jQuery(YMSB_CSS_STAGE_TOP).val();
	const stageNum   = jQuery(YMSB_CSS_STAGE_NUM).val();
	const stageRound = jQuery(YMSB_CSS_STAGE_ROUND).val();
	if ("" != stageBlock) {
		stageData += stageBlock;
	}
	if ("" != stageAlpha) {
		if ("" != stageData) {stageData += " "}
		stageData += stageAlpha;
	}
	if ("" != stageWinLs) {
		if ("" != stageData) {stageData += " "}
		stageData += stageWinLs;
	}
	if ("" != stageTop) {
		if ("" != stageData) {stageData += " "}
		stageData += stageTop;
	}
	if ("" != stageNum) {
		if ("" != stageData) {stageData += " "}
		stageData += stageNum
	}
	if ("" != stageRound) {
		if ("" != stageData) {stageData += " "}
		stageData += stageRound;
	}
	jQuery(YMSB_CSS_STAGE).val(stageData);
}

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	団体戦のライフ設定
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

const arrLives = [
[	"#pLife1_01",	"#pLife1_02",	"#pLife1_03",	"#pLife1_04",	"#pLife1_05",
	"#pLife1_06",	"#pLife1_07",	"#pLife1_08",	"#pLife1_09",	"#pLife1_10",
	"#pLife1_11",	"#pLife1_12",	"#pLife1_13",	"#pLife1_14",	"#pLife1_15",
	"#pLife1_16",	"#pLife1_17",	"#pLife1_18"],
[	"#pLife2_01",	"#pLife2_02",	"#pLife2_03",	"#pLife2_04",	"#pLife2_05",
	"#pLife2_06",	"#pLife2_07",	"#pLife2_08",	"#pLife2_09",	"#pLife2_10",
	"#pLife2_11",	"#pLife2_12",	"#pLife2_13",	"#pLife2_14",	"#pLife2_15",
	"#pLife2_16",	"#pLife2_17",	"#pLife2_18"]
];
const setLifeData = (value) => {
	for (let i = 0; i < 2; i ++) {
		for (let j = 0; j < arrLives[0].length; j++){
			jQuery(arrLives[i][j]).val(value);
		}
	}
}